Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance
Interface NodeInstanceContainer

All Superinterfaces:
  NodeInstanceContainer

    public interface NodeInstanceContainer

extends NodeInstanceContainer

Method Summary
`void` | `addNodeInstance(NodeInstance nodeInstance)`
`int` | `getCurrentLevel()`
`NodeInstance` | `getFirstNodeInstance(long nodeId)`
`int` | `getLevelForNode(String uniqueID)`
`NodeContainer` | `getNodeContainer()`
`NodeInstance` | `getNodeInstance(Node node)`
`Collection<NodeInstance>` | `getNodeInstances(boolean recursive)`
`int` | `getState()`
`void` | `nodeInstanceCompleted(NodeInstance nodeInstance, String outType)`
`void` | `removeNodeInstance(NodeInstance nodeInstance)`
`void` | `setCurrentLevel(int level)`
`void` | `setState(int state)`

Methods inherited from interface org.kie.api.runtime.process.NodeInstanceContainer
`getNodeInstance, getNodeInstances`

Method Detail

### getNodeInstances

    Collection<NodeInstance> getNodeInstances(boolean recursive)

### getFirstNodeInstance

    NodeInstance getFirstNodeInstance(long nodeId)

### getNodeInstance

    NodeInstance getNodeInstance(Node node)

### addNodeInstance

    void addNodeInstance(NodeInstance nodeInstance)

### removeNodeInstance

    void removeNodeInstance(NodeInstance nodeInstance)

### getNodeContainer

    NodeContainer getNodeContainer()

### nodeInstanceCompleted

    void nodeInstanceCompleted(NodeInstance nodeInstance,
                               String outType)

### getState

    int getState()

### setState

    void setState(int state)

### getLevelForNode

    int getLevelForNode(String uniqueID)

### setCurrentLevel

    void setCurrentLevel(int level)

### getCurrentLevel

    int getCurrentLevel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.